using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using Decal.Interop.Core;

namespace Decal.Interop.Input;

[ComImport]
[TypeLibType(2)]
[SuppressUnmanagedCodeSecurity]
[Guid("B33307BA-706D-474A-80B9-70BB8D13EF3E")]
[ClassInterface(ClassInterfaceType.None)]
public class InputServiceClass : IInputService, InputService
{
	[DispId(1610743808)]
	public virtual extern DecalCore Decal
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[DispId(1610743808)]
		[return: MarshalAs(UnmanagedType.Interface)]
		get;
	}

	[DispId(1610743809)]
	public virtual extern int KeyByName
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[DispId(1610743809)]
		get;
	}
}
